package es.verdnatura.domain

import android.content.Context
import android.content.SharedPreferences
import android.util.Log.d
import okhttp3.Interceptor
import okhttp3.Response
import java.io.IOException

class SalixInterceptor : Interceptor {
    private var context: Context

    constructor(context: Context) {
        this.context = context
    }

    @Throws(IOException::class)
    override fun intercept(chain: Interceptor.Chain, ): Response {

        val prefs: SharedPreferences =
            this.context.getSharedPreferences("es.verdnatura.user.prefs", 0)
        val request = chain.request()
        //sergio: condición para que añada o no headers según se vaya quitando de las llamadas
        //no quitar condición hasta que estén quitados
        if (request.headers().toString().isEmpty()) {
            val newRequest = request.newBuilder()
                .addHeader("Content-Type", "application/json")
                .addHeader("Authorization", prefs.getString("token", ""))
                .build()

            return chain.proceed(newRequest)
        } else
            return chain.proceed(request)

    }
}
